﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="MenuSubMenu.aspx.cs" Inherits="Menu_MenuSubMenu" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            margin: 0 auto;
            padding: 0;
            text-align: center;
            width: 1000px;
        }
        .PageContainer
        {
            margin-left: auto;
            margin-right: auto;
            text-align: left;
        }
        .HeaderMenu
        {
            height: 21px;
            margin-left: auto;
            margin-right: auto;
        }
        .BodyContainer
        {
            background-image: url("Gradient_Background.jpg");
            background-repeat: repeat-x;
        }
        div.RadMenu
        {
            /* center the menu */
            text-align: center;
            height: auto;
        }
        .rmSeparator
        {
            /* separator items */
            height: 5px; 
            background-color: #00ff00; /* change this to light green */
        }
        .rmGroup
        {
            /* adding the green border */
            border: 1px solid #53682B !important;
        }
        .rmRootGroup
        {
            /* center the menu */
            float: none !important;
            display: inline-block !important; *display:inline!important;
        }
        
     
        /* use this syle to turn on the cursor */
        .RadMenu .rmLeftImage
        {
            border: 0 none;
            float: left;
            cursor: pointer !important;
        }
        
        /* use this syle to apply 3 pixels space between the root items of the menu */
        .ItemSpace
        {
            padding-left: 3px !important;
            padding-right: 3px !important; 
        }
    </style>
</head>

<script type="text/javascript">


    function OnClientItemOpeningHandler(sender, args) {

        var item = args.get_item();
        // runtime positining of the submenu
        setTimeout(function() {
            var offset = item.get_element().clientWidth - item.get_childListElement().clientWidth;
            $telerik.$(".rmSlide").css("left", offset - 5);
        }, 0);

    }
    
</script>

<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="ScriptManager" runat="server" />
    <div class="PageContainer">
        <div class="HeaderImage">
            <img src="HeaderImage.jpg" id="HeaderImage" />
        </div>
        <div class="HeaderMenu">
            <telerik:RadMenu ID="RadMenu1" Width="100%" runat="server" OnClientItemOpening="OnClientItemOpeningHandler"
                EnableEmbeddedSkins="false">
                <Items>
                    <telerik:RadMenuItem ImageUrl="Donations_Menu.gif" CssClass="ItemSpace" HoveredImageUrl="Donations_Menu.gif"
                        ClickedImageUrl="Donations_Menu.gif">
                        <Items>
                            <telerik:RadMenuItem runat="server" ImageUrl="About-menu-1a.gif" />
                            <telerik:RadMenuItem runat="server" IsSeparator="true" />
                            <telerik:RadMenuItem runat="server" ImageUrl="About-menu-1c.gif" />
                        </Items>
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem ImageUrl="About-menu-1.gif" CssClass="ItemSpace">
                        <Items>
                            <telerik:RadMenuItem runat="server" ImageUrl="About-menu-1a.gif" />
                            <telerik:RadMenuItem runat="server" IsSeparator="true" />
                            <telerik:RadMenuItem runat="server" ImageUrl="About-menu-1c.gif" />
                        </Items>
                    </telerik:RadMenuItem>

                    <telerik:RadMenuItem ImageUrl="Giving_Guidelines_Menu.gif" CssClass="ItemSpace" >
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem Text="Contact Us">
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem Text="Giving Guidelines">
                    </telerik:RadMenuItem>
                </Items>
            </telerik:RadMenu>
        </div>
        <div class="BodyContainer">
            foo
            <br />
            <br />
            <br />
            <br />
            <br />
            <br />
            <br />
            <br />
            <br />
            <br />
            <br />
        </div>
    </div>
    </form>
</body>
</html>
